# -*-makefile-*-
# $Id: template 4565 2006-02-10 14:23:10Z mkl $
#
# Copyright (C) 2006 by Erwin Rol
#          
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_XORG_FONT_MUTT_MISC) += xorg-font-mutt-misc

#
# Paths and names
#
XORG_FONT_MUTT_MISC_VERSION	:= 1.0.0
XORG_FONT_MUTT_MISC		:= font-mutt-misc-X11R7.0-$(XORG_FONT_MUTT_MISC_VERSION)
XORG_FONT_MUTT_MISC_SUFFIX	:= tar.bz2
XORG_FONT_MUTT_MISC_URL		:= $(PTXCONF_SETUP_XORGMIRROR)/X11R7.0/src/font//$(XORG_FONT_MUTT_MISC).$(XORG_FONT_MUTT_MISC_SUFFIX)
XORG_FONT_MUTT_MISC_SOURCE	:= $(SRCDIR)/$(XORG_FONT_MUTT_MISC).$(XORG_FONT_MUTT_MISC_SUFFIX)
XORG_FONT_MUTT_MISC_DIR		:= $(BUILDDIR)/$(XORG_FONT_MUTT_MISC)


# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

xorg-font-mutt-misc_get: $(STATEDIR)/xorg-font-mutt-misc.get

$(STATEDIR)/xorg-font-mutt-misc.get: $(xorg-font-mutt-misc_get_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

$(XORG_FONT_MUTT_MISC_SOURCE):
	@$(call targetinfo, $@)
	@$(call get, XORG_FONT_MUTT_MISC)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

xorg-font-mutt-misc_extract: $(STATEDIR)/xorg-font-mutt-misc.extract

$(STATEDIR)/xorg-font-mutt-misc.extract: $(xorg-font-mutt-misc_extract_deps_default)
	@$(call targetinfo, $@)
	@$(call clean, $(XORG_FONT_MUTT_MISC_DIR))
	@$(call extract, XORG_FONT_MUTT_MISC)
	@$(call patchin, XORG_FONT_MUTT_MISC)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

xorg-font-mutt-misc_prepare: $(STATEDIR)/xorg-font-mutt-misc.prepare

XORG_FONT_MUTT_MISC_PATH	:=  PATH=$(CROSS_PATH)
XORG_FONT_MUTT_MISC_ENV 	:=  $(CROSS_ENV)

#
# autoconf
#
XORG_FONT_MUTT_MISC_AUTOCONF := $(CROSS_AUTOCONF_USR)

$(STATEDIR)/xorg-font-mutt-misc.prepare: $(xorg-font-mutt-misc_prepare_deps_default)
	@$(call targetinfo, $@)
	@$(call clean, $(XORG_FONT_MUTT_MISC_DIR)/config.cache)
	cd $(XORG_FONT_MUTT_MISC_DIR) && \
		$(XORG_FONT_MUTT_MISC_PATH) $(XORG_FONT_MUTT_MISC_ENV) \
		./configure $(XORG_FONT_MUTT_MISC_AUTOCONF)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

xorg-font-mutt-misc_compile: $(STATEDIR)/xorg-font-mutt-misc.compile

$(STATEDIR)/xorg-font-mutt-misc.compile: $(xorg-font-mutt-misc_compile_deps_default)
	@$(call targetinfo, $@)
	cd $(XORG_FONT_MUTT_MISC_DIR) && $(XORG_FONT_MUTT_MISC_PATH) make
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

xorg-font-mutt-misc_install: $(STATEDIR)/xorg-font-mutt-misc.install

$(STATEDIR)/xorg-font-mutt-misc.install: $(xorg-font-mutt-misc_install_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

xorg-font-mutt-misc_targetinstall: $(STATEDIR)/xorg-font-mutt-misc.targetinstall

$(STATEDIR)/xorg-font-mutt-misc.targetinstall: $(xorg-font-mutt-misc_targetinstall_deps_default)
	@$(call targetinfo, $@)

	@$(call install_init, xorg-font-mutt-misc)
	@$(call install_fixup, xorg-font-mutt-misc,PACKAGE,xorg-font-mutt-misc)
	@$(call install_fixup, xorg-font-mutt-misc,PRIORITY,optional)
	@$(call install_fixup, xorg-font-mutt-misc,VERSION,$(XORG_FONT_MUTT_MISC_VERSION))
	@$(call install_fixup, xorg-font-mutt-misc,SECTION,base)
	@$(call install_fixup, xorg-font-mutt-misc,AUTHOR,"Erwin Rol <ero\@pengutronix.de>")
	@$(call install_fixup, xorg-font-mutt-misc,DEPENDS,)
	@$(call install_fixup, xorg-font-mutt-misc,DESCRIPTION,missing)

	@cd $(XORG_FONT_MUTT_MISC_DIR); \
	for file in *.pcf.gz; do	\
		$(call install_copy, xorg-font-mutt-misc, 0, 0, 0644, $$file, $(XORG_FONTDIR)/misc/$$file, n); \
	done

	@$(call install_finish, xorg-font-mutt-misc)

	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

xorg-font-mutt-misc_clean:
	rm -rf $(STATEDIR)/xorg-font-mutt-misc.*
	rm -rf $(IMAGEDIR)/xorg-font-mutt-misc_*
	rm -rf $(XORG_FONT_MUTT_MISC_DIR)

# vim: syntax=make
